/*<html><pre>*/
#ifndef V_REG_H
#define V_REG_H

/*
 *	FIXME: remove stupid division by two "hives" !
 */

typedef enum
{
	reg_hive_local_user=0,
	reg_hive_all_users=1
}	reg_hive_t;

#ifdef	__cplusplus
extern "C" {
#endif	/* !__cplusplus */
	vboolean	V_GLOBAL	regImport(char *file_name);
	vboolean	V_GLOBAL	regExport(char *file_name,reg_hive_t hive);

	void		V_GLOBAL	regCreate(void);
	void		V_GLOBAL	regShutdown(void);

	vboolean	V_GLOBAL	regSetKey(char *key_name);

	vboolean	V_GLOBAL	regGetDword(char *value_key,u32_t *dest);
	vboolean	V_GLOBAL	regGetString(char *value_key,char *dest,
		u32_t dest_size);
	vboolean	V_GLOBAL	regGetBinary(char *value_key,void *dest,
		u32_t dest_size);

	vboolean	V_GLOBAL	regSetDword(char *value_key,u32_t src);
	vboolean	V_GLOBAL	regSetString(char *value_key,char *src);
	vboolean	V_GLOBAL	regSetBinary(char *value_key,void *src,
		u32_t src_size);
#ifdef	__cplusplus
}
#endif	/* !__cplusplus */

#endif	/* V_REG_H */
/*</pre></strong></body></html>*/
/*EOF*/
